using System;
using System.IO;

namespace MaidStatus.Old
{
	public class Sexual
	{
		public Sexual()
		{
		}

		public Sexual(Sexual sexual)
		{
			this.mouth = sexual.mouth;
			this.throat = sexual.throat;
			this.nipple = sexual.nipple;
			this.front = sexual.front;
			this.back = sexual.back;
			this.curi = sexual.curi;
		}

		public static Sexual operator +(Sexual a, Sexual b)
		{
			return new Sexual
			{
				mouth = a.mouth + b.mouth,
				throat = a.throat + b.throat,
				nipple = a.nipple + b.nipple,
				front = a.front + b.front,
				back = a.back + b.back,
				curi = a.curi + b.curi
			};
		}

		public static Sexual operator -(Sexual a, Sexual b)
		{
			return new Sexual
			{
				mouth = a.mouth - b.mouth,
				throat = a.throat - b.throat,
				nipple = a.nipple - b.nipple,
				front = a.front - b.front,
				back = a.back - b.back,
				curi = a.curi - b.curi
			};
		}

		public void Serialize(BinaryWriter binary)
		{
			binary.Write(this.mouth);
			binary.Write(this.throat);
			binary.Write(this.nipple);
			binary.Write(this.front);
			binary.Write(this.back);
			binary.Write(this.curi);
		}

		public void Deserialize(BinaryReader binary, int version)
		{
			this.mouth = binary.ReadInt32();
			this.throat = binary.ReadInt32();
			this.nipple = binary.ReadInt32();
			this.front = binary.ReadInt32();
			this.back = binary.ReadInt32();
			this.curi = binary.ReadInt32();
		}

		public int mouth;

		public int throat;

		public int nipple;

		public int front;

		public int back;

		public int curi;
	}
}
